--- title: "GetIntegrationList" slug: "management-cloudinsight-getintegrationlist" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/management-cloudinsight-getintegrationlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # GetIntegrationList Available in Classic and VPC Get the list of integrations. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /cw_fea/real/cw/api/integration/page | ### Request headers For information about the headers common to all Cloud Insight APIs, see [Cloud Insight request headers](/docs/en/management-cloudinsight#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `query` | String | Required | Query keyword - Only integrations meeting the specified conditions can be queried. | | `pageNum` | Integer | Required | Page number - 1-N | | `pageSize` | Integer | Required | Page output count - 1-N | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cw.apigw.ntruss.com/cw_fea/real/cw/api/integration/page' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "query": "****", "pageNum": 1, "pageSize": 20 }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `data` | Array | - | Integration list information: [data](/docs/en/management-cloudinsight-getintegrationlist#data) | | `pageNum` | Integer | - | Page number | | `pageSize` | Integer | - | Number of page outputs | | `totalPages` | Integer | - | Total number of pages | | `totalRecords` | Integer | - | Number of response results | #### `data` The following describes `data`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `headers` | Object | - | Call header | | `headers.content-type` | String | - | Data type | | `id` | String | - | Integration ID | | `name` | String | - | Integration name | | `payload` | String | - | Call payload - Transmission data including variables | | `type` | String | - | Integration type | | `updateTime` | Integer | - | Integration modification time (millisecond) - Unix timestamp format | | `url` | String | - | Endpoint address | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Cloud Insight API response status codes](/docs/en/management-cloudinsight#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "data": [ { "headers": { "content-type": "application/json; charset=utf-8" }, "id": "111", "name": "event test", "payload": "{\n\t\"text\": \"#{DOMAIN_CODE} => #{RULE_NAME} 's event is #{EVENT_STATUS}. The condition is #{RESOURCE_NAME} 's #{DIMENSIONS} #{METRIC} #{OPERATOR} #{CRITERIA}. The current value is #{VALUE}\"\n}", "type": "OUT_GOING", "updateTime": 1682667085590, "url": "https://url" }, { "headers": { "content-type": "application/json; charset=utf-8" }, "id": "222", "name": "event test2", "payload": "{\n\t\"text\": \"#{DOMAIN_CODE} => #{RULE_NAME} 's event is #{EVENT_STATUS}. The condition is #{RESOURCE_NAME} 's #{DIMENSIONS} #{METRIC} #{OPERATOR} #{CRITERIA}. The current value is #{VALUE}\"\n}", "type": "OUT_GOING", "updateTime": 1682667085590, "url": "https://url" } ], "pageNum": 1, "pageSize": 20, "totalPages": 1, "totalRecords": 2 } ```